public class TextureWaveDescription
{
    /** Amount of phase shift in the wave */
    public float phase;

    /** Amplitude of the wave */
    public float amplitude;

    /** The wavelength in pixel units */
    public float length;

    /** Horizontal speed of the wave */
    public float speed;

    /** Frequency of the wave */
    public float frequency;

    /** Direction the wave is heading, in the X-Y plane */
    public float[] direction;

    /** Rotation & scale factor as the wave is travelling in the X-Y plane */
    public float[] rotScale;

    /** Damping factor on the wave */
    public float fade;

    /**
     * Initialize a new wave description.
     */
    public TextureWaveDescription()
    {
        direction = new float[2];
        rotScale = new float[2];
    }
}
